#declare brick_texture = texture
{
        pigment
        {
                color rgb <0.9,0.2,0.0>
        }
        normal
        {
                agate 0.1
        }
        finish
        {
                ambient 0.0
        }
}

#declare mortar_texture = texture
{
        pigment
        {
                color rgb< 0.8, 0.8, 0.8 >
        }
        normal
        {
                bumps
                scale 0.1
        }
        finish
        {
                ambient 0.0
        }
} 

#declare mist = material
{
        texture
        {
                brick texture{ mortar_texture }, texture{ brick_texture }
                scale 0.01                
        }   
        interior
        {
                media
                {      
                        scattering
                        { 
                                    1
                                    rgb<1.0, 1.0, 1.0>
                                    extinction 0.25
                        }
                        density
                        {
                                planar
                                color_map
                                {
                                        [ 0.0  rgb <0.0, 0.0, 0.0> ]
                                        [ 1.0  rgb <0.01, 0.01, 0.01> ]
                                } 
                                turbulence 1
                                omega 0.55
                                lambda 5
                                triangle_wave
                        }
                }
        }    
}

#declare wood_texture = texture
{       
        pigment
        {
                wood
                color_map
                { 
                        [0.0, 0.1 color rgb <1, 0.8, 0.4>color rgb <1, 0.8, 0.4>]
                        [0.1, 0.9 color rgb <1, 0.8, 0.4>color rgb <0.9, 0.6, 0.2>]
                        [0.9, 1.0 color rgb <0.5, 0.15, 0.1>color rgb <0.5 0.15, 0.1>]
                }
                frequency 0.4
                turbulence 0.1
        } 
        normal
        {
                wood 0.01
                frequency 0.4
                turbulence 0.1
        } 
        finish
        {
                ambient 0.0
                phong 0.1
        }
        rotate< 0, 90, 0 >
        scale< 0.2, 0.05, 0.05 >
}

#declare darkwood_texture = texture
{
        pigment
        {
                wood
                color_map
                { 
                        [0.0, 0.1 color rgb <0.9, 0.6, 0.4>color rgb <0.9, 0.6, 0.4>]
                        [0.1, 0.9 color rgb <0.9, 0.6, 0.4>color rgb <0.6, 0.3, 0.2>]
                        [0.9, 1.0 color rgb <0.3, 0.15, 0.1>color rgb <0.3 0.15, 0.1>]
                }
                frequency 0.4
                turbulence 0.1

        }
        normal
        {
                wood 0.1
                frequency 0.4
                turbulence 0.1
        }
        finish
        {
                ambient 0.0
                phong 0.1
        }
        scale< 0.005, 0.005, 0.005 >
}

#declare lightwood_texture = texture
{
        pigment
        {
                wood
                color_map
                { 
                        [0.0, 0.1 color rgb <1, 0.9, 0.7>color rgb <1, 0.9, 0.7>]
                        [0.1, 0.9 color rgb <1, 0.9, 0.7>color rgb <1, 0.9, 0.7>]
                        [0.9, 1.0 color rgb <0.5, 0.15, 0.1>color rgb <0.5 0.15, 0.1>]
                }
                frequency 0.4
                turbulence 0.1
        } 
        normal
        {
                wood 0.01
                frequency 0.4
                turbulence 0.1
        } 
        finish
        {
                ambient 0.0
                phong 0.1
        }
        rotate< 0, 90, 0 >
        scale< 0.2, 0.05, 0.05 >
}

#declare red_texture = texture
{
        pigment
        {
                color rgb < 0.8, 0, 0.1 >
        }
        normal
        {
                wood
                scale 0.2
        }
        finish
        {
                ambient 0.0
                phong 0.2
        }
}

#declare lamp_texture = texture
{
        pigment
        {
                color rgb< 1, 0, 0 >
        }
        finish
        {
                reflection 0.3
                phong 0.5
                ambient 0.0
        }
}

#declare reflector_texture = texture
{
        pigment
        {
                color rgb< 1, 1, 1 >
        }
        finish
        {
                reflection 0.5
                ambient 0.0
        }
} 

#declare wall_texture = texture
{
        pigment
        {
                color rgb< 1, 1, 0.8 >
        }
        normal
        {
                agate
                bump_size 0.1
        }
        finish
        {
                ambient 0.0
        }
}       

#declare floor_texture = texture
{
        pigment
        {
                checker pigment{ rgb< 1, 1, 1 > }, pigment{ rgb< 0, 0, 0 > }
        }
        normal
        {
                agate 0.1
        }
        finish
        {       
                reflection 0.2
                phong 1.0
                ambient 0.0
        }
}

#declare curtain_texture = texture
{
        pigment
        {
                color rgb< 1, 0.1, 0.2 >
        }
        normal
        {
                wood 0.5
                turbulence 0.02
        }
        finish
        {       
                specular 0.5 
                roughness 0.1
                diffuse 0.6
                ambient 0.0
        }
        rotate< 90, 0, 0 >
        scale< 0.5, 0.2, 0.2 >
}

#declare gold_texture = texture
{
        pigment
        {
                color rgb< 1, 0.8, 0 >
        }
        normal
        {
                dents
                bump_size 0.1
                scale< 0.05,0.05,0.05 >
        }
        finish
        {
                reflection 0.5
                phong 1.0
        }
}
